Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Create a new location.

POST
/customer-api/v1/location
curl --request POST \
--url https://your-instance.seventhings.com/customer-api/v1/location \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "<field_key_1>": "<field_value_1>", "<field_key_2>": "<field_value_2>", "<field_key_3>": "<field_value_3>" }'

Create a new location.

Media typeapplication/json

Fields defined in Template with its values, based on the type of the field. There is a difference with what can be send via POST/PUT/PATCH requests, and what will be returned via GET

This examples shows what data can be expected for ceraint field type:

POST/PUT/PATCH

{
    "ATTACHMENT": "array<string (fileUuid)>",
    "BARCODE": "string",
    "DATE": "string (Y-m-d)",
    "DATETIME": "string (Y-m-d\TH:i:sP)",
    "DECIMAL": "decimal (1.23)",
    "DROPDOWN": "string",
    "LINK": "string",
    "LINKED_ASSET": "int (asset id) | string (asset uuid)",
    "LINKED_LOCATION": "int (location id) | string (location uuid)",
    "LINKED_ROOM": "int (room id)| string (room uuid)",
    "LINKED_USER": "int (user id)| string (user uuid)",
    "LINKED_PERSON": "int (person id)| string (person uuid)",
    "LONG_TEXT": "string",
    "MONEY": "decimal (1.23)",
    "NUMBER": "int (123)",
    "REMINDER": "string (Y-m-d)",
    "TEXT": "string",
}

GET

{
    "ATTACHMENT": [
        {
            "uuid": "string (uuid)",
            "type": "string",
            "size": "int",
            "data_uri": "string",
            "file_uri": "string",
            "thumbnail_uri": "string",
        }
    ],
    "BARCODE": "string",
    "DATE": "string (Y-m-d)",
    "DATETIME": "string (Y-m-d\TH:i:sP)",
    "DECIMAL": "decimal (1.23)",
    "DROPDOWN": "string",
    "LINK": "string",
    "LINKED_ASSET": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_LOCATION": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_ROOM": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_USER": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LINKED_PERSON": {
        "id": "int",
        "uuid": "string (uuid)",
        "display_name": "string"
    },
    "LONG_TEXT": "string",
    "MONEY": "decimal (1.23)",
    "NUMBER": "int (123)",
    "REMINDER": "string (Y-m-d)",
    "TEXT": "string",
}
object
key
additional properties
any
Example
{
"<field_key_1>": "<field_value_1>",
"<field_key_2>": "<field_value_2>",
"<field_key_3>": "<field_value_3>"
}

Success

Location
string

The URL of the newly created location.

Location-UUID
uuid

The UUID of the newly created object.

Request body is missing or invalid or request data is invalid.

Access token is missing or invalid.

You are not permitted to perform the requested operation.

The requested resource could not be found.

The requested resource representation has no acceptable format.

Internal Server Error.